mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Obsolete

For additional information about TYPEATTR, see the MSDN Library.

Use instead.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Specifies the byte alignment for an instance of this type.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about TYPEATTR, see the MSDN Library.

  The size of an instance of this type.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  The size of this type's virtual method table (VTBL).

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Indicates the number of functions on the interface this structure describes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Indicates the number of implemented interfaces on the interface this structure describes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Indicates the number of variables and data fields on the interface described by this structure.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about TYPEATTR, see the MSDN Library.

  Reserved for future use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid

  For additional information about TYPEATTR, see the MSDN Library.

  The GUID of the type information.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.IDLDESC

  For additional information about TYPEATTR, see the MSDN Library.

  IDL attributes of the described type.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about TYPEATTR, see the MSDN Library.

  Locale of member names and documentation strings.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IntPtr

  For additional information about TYPEATTR, see the MSDN Library.

  Reserved for future use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 -1

  For additional information about TYPEATTR, see the MSDN Library.

  A constant used with the and fields.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about TYPEATTR, see the MSDN Library.

  ID of constructor, or if none.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about TYPEATTR, see the MSDN Library.

  ID of destructor, or if none.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEDESC

  For additional information about TYPEATTR, see the MSDN Library.

  If == , specifies the type for which this type is an alias.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEKIND

  For additional information about TYPEATTR, see the MSDN Library.

  A value describing the type this information describes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Major version number.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Minor version number.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS

  For additional information about TYPEATTR, see the MSDN Library.

  A value describing this information.